Class | Web::Cookie
In: | lib/facets/more/cookie.rb
Parent: | Object

## Web::Cookie Class

### Class Methods

     -- Cookie::new()

          create new cookie.

### Methods

     -- Cookie#match?(url)

           match cookie by url. if match, return true. otherwise,
           return false.

     -- Cookie#name
     -- Cookie#name=(name)
     -- Cookie#value
     -- Cookie#value=(value)
     -- Cookie#domain
     -- Cookie#domain=(domain)
     -- Cookie#path
     -- Cookie#path=(path)
     -- Cookie#expires
     -- Cookie#expires=(expires)
     -- Cookie#url
     -- Cookie#url=(url)

          accessor methods for cookie's items.

     -- Cookie#discard?
     -- Cookie#discard=(discard)
     -- Cookie#use?
     -- Cookie#use=(use)
     -- Cookie#secure?
     -- Cookie#secure=(secure)
     -- Cookie#domain_orig?
     -- Cookie#domain_orig=(domain_orig)
     -- Cookie#path_orig?
     -- Cookie#path_orig=(path_orig)
     -- Cookie#override?
     -- Cookie#override=(override)
     -- Cookie#flag
     -- Cookie#set_flag(flag_num)

          accessor methods for flags.

### Methods

discard? domain_orig? flag join_quotedstr match? new override? parse path_orig? secure? set_flag use?

### Included Modules

CookieUtils ParseDate

### Constants

USE | = | 1
SECURE | = | 2
DOMAIN | = | 4
PATH | = | 8
DISCARD | = | 16
OVERRIDE | = | 32
OVERRIDE_OK | = | 32

### Attributes

discard | [W] |
domain | [RW] |
domain_orig | [W] |
expires | [RW] |
name | [RW] |
override | [W] |
path | [RW] |
path_orig | [W] |
secure | [W] |
url | [RW] |
use | [W] |
value | [RW] |

### Public Class methods

new()

### Public Instance methods

discard?()
domain_orig?()
flag()
join_quotedstr(array, sep)
match?(url)
override?()
parse(str, url)
path_orig?()
secure?()
set_flag(flag)
use?()

[Validate]